GST Certificate Extraction API
Introduction
The GST Certificate Extraction API is a powerful tool that streamlines the extraction of data from PDF documents. With the increasing digitization of business processes, the Goods and Services Tax (GST) certification has become a crucial component for organizations. However, manually extracting relevant information from GST certificates can be time-consuming and error-prone. To address this challenge, the GST Certificate Extraction API leverages advanced algorithms to automate the extraction process, enabling businesses to efficiently access and utilize GST certificate data.
Use the following exchange parameters for Extracting data from a PDF GST certificate.
curl --request POST \
--url https://signzy.tech/api/v2/patrons/..patron..id../gstextractions \
--header 'Accept: */*' \
--header 'Accept-Language: en-US,en;q=0.8' \
--header 'Authorization: <Access-Token>' \
--header 'content-type: application/json' \
--data '{"essentials":{"files":["<File-URL>"]}}'Request Parameters
Parameter | Description |
|---|---|
essentials | An object that contains essential information for the extraction process. |
files | An array of file URLs from which you need to extract data. Each URL should point to a PDF file. |
Sample Response
{
"essentials": {
"files": [
"...file url..."
]
},
"id": "...id...",
"patronId": "...patron id...",
"result": {
"gstDetails": {
"addressOfPrincipalPlaceOfBusiness": {
"address": "...address...",
"splitAddress": {
"address": "...address...",
"result": {
"splitAddress": {
"district": [
"...district name..."
],
"state": [
[
"...state name...",
"...state code..."
]
],
"city": [
"...city name..."
],
"pincode": "...pincode...",
"country": [
"IN",
"IND",
"INDIA"
],
"addressLine": "...address line...."
}
}
}
},
"buisnessPlaces": [
{
"address": "...address of business places...",
"splitAddress": {
"address": "...address of business places...",
"result": {
"splitAddress": {
"district": [
"...city name.."
],
"state": [
[
"...state name...",
"..state code..."
]
],
"city": [
"...city name..."
],
"pincode": "...pincode...",
"country": [
"IN",
"IND",
"INDIA"
],
"addressLine": "...address line..."
}
}
}
}
],
"constitutionOfBusiness": "...public/private limited company...",
"dateOfIssue": "..date of issue...",
"dateOfLiability": "...date of liability...",
"designation": "...designation...",
"directorInfo": [
{
"photo": "...url of the image...",
"resident": "...resident of director...",
"name": "...name...",
"designation": "...designation..."
}
],
"gstNumber": "...gst number...",
"jurisdictionalOffice": "",
"legalName": "...legal name of the company...",
"name": "",
"registrationType": "...type of registration...",
"tradeName": "...name of the trade company...",
"validFrom": "...valid from what date...",
"validTo": "..date.."
},
"dscDetails": {
"isSigned": "...is signed status...",
"hashcode": ...hash code...,
"name": "...name...",
"signDate": "...sign date...",
"signTime": "...sign time...",
"signatureDetails": {
"documentRevision": 1,
"doesSignatureCoversFullDocument": true,
"totalDocumentRevisions": 1,
"certificateInfo": [
{
"certificateNumber": 0,
"subject": "...subject of certificate...",
"certificateValidity": "...validity status of certificate...",
"certificateTimeValidity": "...time validity of certificate...",
"validFrom": "...valid from what date...",
"issuer": "...issuer of the certificate...",
"validTo": "...valid to what date..."
}
],
"IntegrityCheck": ...integrity check status...
}
}
}
}